# eric4.E4XML.TasksHandler

Module implementing the handler class for reading an XML tasks file.

### Global Attributes

None

### Classes

TasksHandler | Class implementing a sax handler to read an XML tasks file.

### Functions

None

## TasksHandler

Class implementing a sax handler to read an XML tasks file.

### Derived from

XMLHandlerBase

### Class Attributes

None

### Class Methods

None

### Methods

TasksHandler | Constructor
__buildPath | Private method to assemble a path.
endCreated | Handler method for the "Created" end tag.
endDescription | Handler method for the "Description" end tag.
endDir | Handler method for the "Dir" end tag.
endFilename | Handler method for the "Filename" end tag.
endLinenumber | Handler method for the "Linenumber" end tag.
endName | Handler method for the "Name" end tag.
endSummary | Handler method for the "Summary" end tag.
endTask | Handler method for the "Task" end tag.
getVersion | Public method to retrieve the version of the tasks file.
startDocumentTasks | Handler called, when the document parsing is started.
startFilename | Handler method for the "Filename" start tag.
startTask | Handler method for the "Task" start tag.
startTasks | Handler method for the "Tasks" start tag.

### Static Methods

None

#### TasksHandler (Constructor)

TasksHandler(forProject = False, taskViewer=None)

Constructor

forProject
  flag indicating project related mode (boolean)
taskViewer
  reference to the task viewer object

#### TasksHandler.__buildPath

__buildPath()

Private method to assemble a path.

Returns:
  The ready assembled path. (string)

#### TasksHandler.endCreated

endCreated()

Handler method for the "Created" end tag.

#### TasksHandler.endDescription

endDescription()

Handler method for the "Description" end tag.

#### TasksHandler.endDir

endDir()

Handler method for the "Dir" end tag.

#### TasksHandler.endFilename

endFilename()

Handler method for the "Filename" end tag.

#### TasksHandler.endLinenumber

endLinenumber()

Handler method for the "Linenumber" end tag.

#### TasksHandler.endName

endName()

Handler method for the "Name" end tag.

#### TasksHandler.endSummary

endSummary()

Handler method for the "Summary" end tag.

#### TasksHandler.endTask

endTask()

Handler method for the "Task" end tag.

#### TasksHandler.getVersion

getVersion()

Public method to retrieve the version of the tasks file.

Returns:
  String containing the version number.

#### TasksHandler.startDocumentTasks

startDocumentTasks()

Handler called, when the document parsing is started.

#### TasksHandler.startFilename

startFilename(attrs)

Handler method for the "Filename" start tag.

attrs
  list of tag attributes

#### TasksHandler.startTask

startTask(attrs)

Handler method for the "Task" start tag.

attrs
  list of tag attributes

#### TasksHandler.startTasks

startTasks(attrs)

Handler method for the "Tasks" start tag.

attrs
  list of tag attributes

Up